//
// Created by sfd on 25-6-10.
//

#ifndef CONTENTBROSWERPANEL_H
#define CONTENTBROSWERPANEL_H
#include <filesystem>
#include <Hazel/Core/Core.h>
#include <Hazel/Renderer/Texture.h>

namespace Hazel
{
    class ContentBroswerPanel
    {
    public:
        ContentBroswerPanel();
        virtual ~ContentBroswerPanel() = default;

        void OnImGuiRender();
    private:

        std::filesystem::path m_CurrentDirectory;

        Ref<Texture2D> m_DirectoryIcon;
        Ref<Texture2D> m_FileIcon;

    };
}



#endif //CONTENTBROSWERPANEL_H
